### Virtual Method

# RB Source uri_is_source

#### Declaration [src]

    gboolean
    uri_is_source (
      RBSource* source,
      const char* uri
    )

#### Description [src]

Checks if the URI matches the source itself. A source should return TRUE here if the URI points to the device that the source represents, for example.

#### Parameters

`uri`

  Type: `const char*`

  A URI for the source to consider.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if the URI identifies the source itself.